<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/','frontendcontroller@index2');
Route::post('/sellerregister','frontendcontroller@sellerregister');
Route::post('/resellerdashfilter','HomeController@resellerdashfilter');
Route::get('/resellerdash','HomeController@resellerdash');

Route::get('/userprofile','HomeController@userprofile');
Route::get('/useredit','HomeController@useredit');
Route::post('/changePassword','HomeController@changePassword')->name('changePassword');
Route::post('/usermangeupdate2','HomeController@usermangeupdate2');

Route::get('/resellerbank/{id}','HomeController@resellerbank');
Route::get('/reseller','HomeController@reseller');
Route::post('/regreseller','HomeController@regreseller');
Route::post('/addbankdetails','HomeController@addbankdetails');

Route::post('/deletesup/{id}','HomeController@deletesup');
Route::post('/deletebankdetails/{id}','HomeController@deletebankdetails');
Route::post('/supplierupdate','HomeController@supplierupdate');
Route::post('/supplierbankupdate','HomeController@supplierbankupdate');

Route::get('/productpurchasing','HomeController@purchasing');
Route::post('/addpurchasing','HomeController@addpurchasing');
Route::post('/deletepurchassing/{id}','HomeController@deletepurchassing');
Route::post('/purchasingupdate','HomeController@purchasingupdate');

Route::get('/genaratebarcode','HomeController@genaratebarcode');
Route::post('/barcodegen','HomeController@barcodegen');
Route::post('/downloadcsv','HomeController@downloadcsv');

Route::get('/remainingstock','HomeController@remainingstock');

Route::get('/addorder','HomeController@addorder');
//add customer
Route::post('/addcustomer','HomeController@addcustomer');
Route::post('/addcustomerItems','HomeController@addcustomerItems');
Route::post('/editcustomerItems','HomeController@editcustomerItems');
Route::post('/updatedelivery','HomeController@updatedelivery');
Route::get('/viewaddorder/{id}','HomeController@viewaddorder');
Route::get('/importorders','HomeController@importorders');
Route::get('/getpendingdata','HomeController@getpendingdata');
Route::any('/pendinglockajex','HomeController@pendinglockajex');
Route::any('/pendinglockajexpaid','HomeController@pendinglockajexpaid');
Route::any('/dispatchexcelgetdata/{id}','HomeController@dispatchexcelgetdata');

Route::post('/deletecustomer/{id}','HomeController@deletecustomer');
Route::post('/deletetempbarcode/{id}','HomeController@deletetempbarcode');
Route::post('/returncustomertembar/{id}','HomeController@returncustomertembar');
Route::get('/getproductprice/{id}','HomeController@getproductprice');

Route::post('importExcelOrders', 'HomeController@importExcelOrders');
Route::any('sentocallcenter', 'HomeController@sentocallcenter');

Route::get('/viwedetails/{id}','HomeController@viwedetails');
Route::get('/viwedetailsship/{id}','HomeController@viwedetailsship');
Route::get('/viwedetailsconfirm/{id}','HomeController@viwedetailsconfirm');
Route::get('/viwedetailsinventory/{id}','HomeController@viwedetailsinventory');
Route::get('/viwedetailsshipconfirm/{id}','HomeController@viwedetailsshipconfirm');
Route::get('/viewallorders/{id}','HomeController@viewallorders');
Route::any('/resetlock/{id}','HomeController@resetlock');
Route::any('/checkpendinglockajex','HomeController@checkpendinglockajex');



Route::get('/checkviewpending','HomeController@checkviewpending');
Route::get('/viewpending','HomeController@viewpending');
Route::get('/viewpaid','HomeController@viewpaid');
Route::get('/reject','HomeController@reject');
Route::get('/exchange','HomeController@exchange');
Route::get('/refund','HomeController@refund');
Route::get('/phoneoff','HomeController@phoneoff');
Route::get('/hewillcall','HomeController@hewillcall');
Route::get('/colomboorder','HomeController@colomboorder');
Route::get('/todayconfirm','HomeController@todayconfirm');
Route::get('/todayprint','HomeController@todayprint');
Route::get('/colomboprint','HomeController@colomboprint');
Route::get('/inventorycolombo','HomeController@inventorycolombo');
Route::get('/inventorytoday','HomeController@inventorytoday');
Route::post('/inventorytoday2','HomeController@inventorytoday2');

Route::get('/dispatchsummary','HomeController@dispatchsummary');
Route::get('/courierexcel/{id}','HomeController@courierexcel');
Route::get('/returnorders','HomeController@returnorders');
Route::get('/cancelorders','HomeController@cancelorders');
Route::get('/completeorders','HomeController@completeorderstable');
Route::get('/paidorders','HomeController@paidorders');
Route::get('/allorders','HomeController@allorders');


Route::post('/updatecusdetails','HomeController@updatecusdetails');
Route::get('Editdropdownlist/getstates/{id}','HomeController@EditgetStates');
Route::get('Editdropdownlist/getstates2/{id}','HomeController@EditgetStates2');

Route::get('dependdata/{id}','HomeController@dependdata');
Route::get('dependdata2/{id}','HomeController@dependdata2');
Route::post('/deliveryupdateview','HomeController@deliveryupdateview');
Route::post('/addcustomerItemsview','HomeController@addcustomerItemsview');
Route::post('/updateitemview','HomeController@updateitemview');
Route::post('/updatestatus','HomeController@updatestatus');
Route::get('/viewallorders','HomeController@viewallorders');

Route::get('/productattribute/{id}', 'HomeController@productattribute');
Route::post('/addattributes', 'HomeController@addattributes');
Route::post('/updateaddattributes', 'HomeController@updateaddattributes');
Route::post('/deletattribute/{id}', 'HomeController@deletattribute');

Route::get('/deliveryserice','HomeController@deliveryserice');
Route::post('/adddelivery', 'HomeController@adddelivery');
Route::post('/deletedelivery/{id}','HomeController@deletedelivery');
Route::post('/deliveryupdate', 'HomeController@deliveryupdate');

Route::get('/trackingrange/{id}','HomeController@trackingrange');
Route::post('/adddeliveryrang', 'HomeController@adddeliveryrang');
Route::post('/rangetrackinupdate', 'HomeController@rangetrackinupdate');
Route::post('/deletedeliveryrange/{id}','HomeController@deletedeliveryrange');
Route::post('/courierserviceadd','HomeController@courierserviceadd');
Route::post('/adddeliveryguycmbo','HomeController@adddeliveryguycmbo');

Route::post('/colombo_print','HomeController@colombo_print')->name('colombo_print');
Route::post('/today_print','HomeController@today_print')->name('today_print');
Route::post('/courierpdfdata','HomeController@courierpdfdata')->name('courierpdfdata');

Route::post('/printstatuschange','HomeController@printstatuschange');
Route::post('/printstatuschangecolombo','HomeController@printstatuschangecolombo');
Route::post('/addbarcode','HomeController@addbarcode')->name('addbarcode');

Route::get('/viewbarcode/{id}','HomeController@viewbarcode');
Route::post('/completeorders','HomeController@completeorders');

Route::post('/addbarcodecmbo','HomeController@addbarcodecmbo')->name('addbarcodecmbo');
Route::post('/completeorderscmbo','HomeController@completeorderscmbo');

Route::get('/allitemprinttoday','HomeController@allitemprinttoday')->name('allitemprinttoday');
Route::get('/allitemprintcolombo','HomeController@allitemprintcolombo')->name('allitemprintcolombo');

Route::get('/returnrecive','HomeController@returnrecive');
Route::get('/getallorders','HomeController@getallorders');
Route::post('/sendreturnreciveid','HomeController@sendreturnreciveid');
Route::get('/damageitem','HomeController@damageitem');
Route::get('/getdamageitem','HomeController@getdamageitem');
Route::post('/senddamageitem','HomeController@senddamageitem');


Route::post('/exportpage','HomeController@exportpage');
Route::post('/dispathnew','HomeController@dispathnew');
Route::post('/dispatchupdate','HomeController@dispatchupdate');

Route::get('/purchasingdetails/{id}','HomeController@purchasingdetails');

Route::post('/btnstatuschange', 'HomeController@btnstatuschange');
Route::post('/cityupdate', 'HomeController@cityupdate');
Route::post('/deliverydate', 'HomeController@deliverydate');
Route::post('/searchdeliverydate', 'HomeController@searchdeliverydate');
Route::post('/searchcolomboprint', 'HomeController@searchcolomboprint');
Route::post('/checklistbarcode', 'HomeController@checklistbarcode');

Route::post('/donecheckcolombo', 'HomeController@donecheckcolombo');
Route::post('/deliverybtnupdate', 'HomeController@deliverybtnupdate');
Route::post('/deliverybtnupdate2', 'HomeController@deliverybtnupdate2');
Route::post('/dispatchordersputupdate', 'HomeController@dispatchordersputupdate');


Route::post('/searchinventorycolombo', 'HomeController@searchinventorycolombo');
Route::post('/searchinventorycolombo2', 'HomeController@searchinventorycolombo2');
Route::post('/testchecklistbarcode', 'HomeController@testchecklistbarcode');
Route::get('/checklist','HomeController@checklist');
Route::post('/checklistfilter','HomeController@checklistfilter');

Route::get('/getbarcodetabledata', 'HomeController@getbarcodetabledata');
Route::post('/packingbarcodeupdate', 'HomeController@packingbarcodeupdate');
Route::post('/cmbopackingbarcodeupdate', 'HomeController@cmbopackingbarcodeupdate');
Route::post('/colombopackingupdate', 'HomeController@colombopackingupdate');

Route::get('/colombodelivery', 'HomeController@colombodelivery');
Route::any('/getdataprobarcode', 'HomeController@getdataprobarcode');
Route::any('/getdatatempbarcoderider', 'HomeController@getdatatempbarcoderider');
Route::any('/getcusdatatoacc', 'HomeController@getcusdatatoacc');
Route::post('/paymentmethodup', 'HomeController@paymentmethodup');
Route::post('/paymentrecovecolomboserch', 'HomeController@paymentrecovecolomboserch');
Route::post('/accountcolombostatusupdate', 'HomeController@accountcolombostatusupdate');
Route::any('/getbarcodecustomer/{id}', 'HomeController@getbarcodecustomer');
Route::post('/accountbarcodeupdate', 'HomeController@accountbarcodeupdate');
Route::post('/allordersserach', 'HomeController@allordersserach');

Route::any('/allordercustomertable', 'HomeController@allordercustomertable');
Route::post('/primaryphoneupdate', 'HomeController@primaryphoneupdate');
Route::post('/secondaryphoneupdate', 'HomeController@secondaryphoneupdate');
Route::post('/searchoutprint', 'HomeController@searchoutprint');
Route::any('/colombocustomerdataget', 'HomeController@colombocustomerdataget');
Route::any('/getpayblecod', 'HomeController@getpayblecod');

Route::get('/courierpayment', 'HomeController@courierpayment');
Route::post('/addcourierpayment', 'HomeController@addcourierpayment');
Route::post('/courierpaymentupdate', 'HomeController@courierpaymentupdate');
Route::post('/deletecourierrecivemoney/{id}','HomeController@deletecourierrecivemoney');
Route::get('/receivedetails/{id}','HomeController@receivedetails');
Route::post('/importcouriersummary', 'HomeController@importcouriersummary');

Route::get('/closewindow','HomeController@closewindow');
Route::post('/todayconfirmsearch', 'HomeController@todayconfirmsearch');


Route::get('/addwholesale','HomeController@addwholesale');
Route::get('/wholesale','HomeController@wholesale');
Route::post('/regwholesaler', 'HomeController@regwholesaler');
Route::post('/deletewholesaller/{id}','HomeController@deletewholesaller');
Route::post('/wholesallerupdate','HomeController@wholesallerupdate');

Route::post('/addwholesalepro','HomeController@addwholesalepro');
Route::post('/addwholsalerupdate','HomeController@addwholsalerupdate');
Route::get('/wholesalerprodetails/{id}','HomeController@wholesalerprodetails');
Route::post('/wholesalereciptprint','HomeController@wholesalereciptprint');

Route::get('/test','HomeController@test');
Route::post('/dashboardfilter','HomeController@dashboardfilter');



//rider
Route::get('/deliverystatus','HomeController@deliverystatus');
Route::post('/riderdeliveryupdate','HomeController@riderdeliveryupdate');
Route::get('/riderrequest','HomeController@riderrequest');
Route::get('/riderconfirm','HomeController@riderconfirm');
Route::get('/riderdispatch','HomeController@riderdispatch');
Route::get('/riderrouteupload','HomeController@riderrouteupload');
Route::post('/riderconfirmpost','HomeController@riderconfirmpost');
Route::post('/uploadriderimage','HomeController@uploadriderimage');
Route::get('/datechangereq','HomeController@datechangereq');
Route::get('/refailorders','HomeController@refailorders');
Route::get('/confirmrefailorders','HomeController@confirmrefailorders');
Route::any('/requestdata','HomeController@requestdata');
Route::any('/faildata','HomeController@faildata');
Route::any('/faildatacon','HomeController@faildatacon');
Route::post('/outappeal','HomeController@outappeal');
Route::any('/callcenterapprovel/{id}','HomeController@callcenterapprovel');
Route::any('/callcenterreassignbtn/{id}','HomeController@callcenterreassignbtn');
Route::any('/failorderapprovel/{id}','HomeController@failorderapprovel');
Route::any('/reshedulapprovel/{id}','HomeController@reshedulapprovel');
Route::post('/updatereshedule','HomeController@updatereshedule');
Route::post('/postrescheduleorders','HomeController@postrescheduleorders');





Route::get('/resellerorders','HomeController@resellerorders');
Route::post('/resellerorderfilter','HomeController@resellerorderfilter');

Route::get('/getpagebranch/{id}','HomeController@getpagebranch');
Route::post('/addexchange','HomeController@addexchange');
Route::post('/returnstatus','HomeController@returnstatus');
Route::post('/colomboprintfilter','HomeController@colomboprintfilter');

Route::get('/dropexorders','HomeController@dropexorders');
Route::post('/dropexsendingdispatch','HomeController@dropexsendingdispatch');
Route::get('/dropexordersdispatch','HomeController@dropexordersdispatch');

Route::post('/colomboprintriderstatusupdate','HomeController@colomboprintriderstatusupdate');
Route::any('/colomboprintcusd','HomeController@colomboprintcusd');
Route::any('/dispatchedcusd','HomeController@dispatchedcusd');
Route::any('/cusdispatchedcusd','HomeController@cusdispatchedcusd');
Route::get('/getdispatchcreatedata/{id}','HomeController@getdispatchcreatedata');

Route::post('/riderdeliverydate','HomeController@riderdeliverydate');
Route::post('/oneinvoiceprint','HomeController@oneinvoiceprint');
Route::post('/vieworderriderassign','HomeController@vieworderriderassign');

Route::get('/packwholesale','HomeController@packwholesale');
Route::post('/wholesalefilter','HomeController@wholesalefilter');
Route::any('/getwholebarcode','HomeController@getwholebarcode');
Route::any('/packingaddwholebarcode','HomeController@packingaddwholebarcode');
Route::get('/dispatchwholesale','HomeController@dispatchwholesale');

Route::post('/downloadcsvnotused','HomeController@downloadcsvnotused');
Route::post('/downloadallbarcode','HomeController@downloadallbarcode');
Route::post('/searchresult','HomeController@searchresult');
Route::post('/Rejectcustomerupdate/{id}','HomeController@Rejectcustomerupdate');

Route::get('/bannedcustomers','HomeController@bannedcustomers');
Route::get('/addbannedcustomers','HomeController@addbannedcustomers');
Route::post('/addbanned','HomeController@addbanned');
Route::post('/updatebannedcus','HomeController@updatebannedcus');
Route::post('/deletebannedcus/{id}','HomeController@deletebannedcus');
Route::post('/banneduser','HomeController@banneduser');

Route::get('/half','HomeController@half');
Route::get('/grnmanage','HomeController@grnmanage');
Route::post('/searchbarcodehe','HomeController@searchbarcodehe');

Route::get('/bulkdelivery','HomeController@bulkdelivery');
Route::post('/bulkexceldelivery','HomeController@bulkexceldelivery');
Route::post('/unitpricechangesup','HomeController@unitpricechangesup');

Route::get('/remindorders','HomeController@remindorders');
Route::post('/remindfilter','HomeController@remindfilter');
Route::post('/reasonupdateview','HomeController@reasonupdateview');

Route::get('/branch','HomeController@branch');
Route::post('/addbranch','HomeController@addbranch');
Route::post('/updatebranch','HomeController@updatebranch');


//new
Route::post('/deletecheckorders','HomeController@deletecheckorders');

Route::get('/unauthorizedreturn','HomeController@unauthorizedreturn');
Route::post('/unauthorizedreturnfilter','HomeController@unauthorizedreturnfilter');
Route::get('/userconfirm','HomeController@userconfirm');
Route::post('/userconfirmfilter','HomeController@userconfirmfilter');
Route::get('/usertrackreport','HomeController@usertrackreport');
Route::post('/usertrackreportfilter','HomeController@usertrackreportfilter');

Route::get('/remainingstockreport','HomeController@remainingstockreport');
Route::get('/transactionsummary','HomeController@transactionsummary');
Route::post('/transactionsummaryfilter','HomeController@transactionsummaryfilter');

Route::get('/chequesummary','HomeController@chequesummary');
Route::post('/chequesummaryfilter','HomeController@chequesummaryfilter');
Route::get('/purchasesummary','HomeController@purchasesummary');
Route::post('/purchasesummaryfilter','HomeController@purchasesummaryfilter');
Route::get('/wholesalesummary','HomeController@wholesalesummary');
Route::post('/wholesalesummaryfilter','HomeController@wholesalesummaryfilter');
Route::get('/riderpaymentsummary','HomeController@riderpaymentsummary');
Route::post('/riderpaymentsummaryfilter','HomeController@riderpaymentsummaryfilter');
Route::get('/courierpaymentsummary','HomeController@courierpaymentsummary');
Route::post('/courierpaymentsummaryfilter','HomeController@courierpaymentsummaryfilter');
Route::get('/orderuploadsummary','HomeController@orderuploadsummary');
Route::post('/ordersstatusfilter','HomeController@ordersstatusfilter');
Route::get('/dispatchedsummary','HomeController@dispatchedsummary');
Route::post('/dispatchedsummaryfilter','HomeController@dispatchedsummaryfilter');
Route::get('/packedcount','HomeController@packedcount');
Route::post('/packedcountfilter','HomeController@packedcountfilter');



Route::get('/salesummary','HomeController@salesummary');
Route::post('/salesummaryfilter','HomeController@salesummaryfilter');

Route::post('/addcheque','HomeController@addcheque');
Route::post('/chequemangepaidup','HomeController@chequemangepaidup');

Route::get('/colomboretuenreceived','HomeController@colomboretuenrecive');
Route::post('/updatecolomboreturn','HomeController@updatecolomboreturn');
Route::any('/getcolomboretuen','HomeController@getcolomboretuen');


Route::post('/searchwaybille','HomeController@searchwaybille');


Route::get('/checkapi','HomeController@checkapi');
Route::post('/checkapiupdate','HomeController@checkapiupdate');

Route::post('/fardercityupdate','HomeController@fardercityupdate');

//newaccount
Route::any('/getsupplierbalance/{id}','HomeController@getsupplierbalance');
Route::get('/purpaymentnew','HomeController@purpaymentnew');
Route::get('/purchespayhistory','HomeController@purchespayhistory');

Route::post('/packbulkprint','HomeController@packbulkprint');
Route::post('/purchespayhistoryfilter','HomeController@purchespayhistoryfilter');

Route::get('/chequedeposit','HomeController@chequedeposit');
Route::any('/getbankdata/{id}','HomeController@getbankdata');
Route::any('/getbankdata2/{id}','HomeController@getbankdata2');

Route::get('/chequewithdraw','HomeController@chequewithdraw');
Route::get('/cashdeposit','HomeController@cashdeposit');
Route::get('/cashwithdraw','HomeController@cashwithdraw');
Route::get('/ownbanktransaction','HomeController@ownbanktransaction');
Route::get('/expenses','HomeController@expenses');

Route::post('/addexpenses','HomeController@addexpenses');

Route::get('/expensestransaction','HomeController@expensestransaction');
Route::post('/expensestransactionfilter','HomeController@expensestransactionfilter');
Route::post('/colombopackfilter','HomeController@colombopackfilter');


Route::get('/notice','HomeController@notice');
Route::post('/addnotice','HomeController@addnotice');
Route::post('/updatenotice','HomeController@updatenotice');
Route::post('/deletenotice/{id}','HomeController@deletenotice');

Route::get('/wholesalepaymentnew','HomeController@wholesalepaymentnew');
Route::any('/getwholesalebalance/{id}','HomeController@getwholesalebalance');
Route::get('/wholepaymenthistory','HomeController@wholepaymenthistory');
Route::post('/wholepaymenthistoryfilter','HomeController@wholepaymenthistoryfilter');

Route::get('/colomboassign','HomeController@colomboassign');
Route::post('/colomboassignfilter','HomeController@colomboassignfilter');


Route::get('/productdetails/{id}','HomeController@productdetails');
Route::post('/updateprodescription','HomeController@updateprodescription');
Route::post('/purchecpaymentinvoice','HomeController@purchecpaymentinvoice');
Route::post('/wholepaymentinvoice','HomeController@wholepaymentinvoice');
Route::post('/sellerassignpro','HomeController@sellerassignpro');
Route::get('/priceupdate','HomeController@priceupdate');
Route::post('/priceupdatefilter','HomeController@priceupdatefilter');
Route::any('/selerrpricetabget','HomeController@selerrpricetabget');

Route::post('/updatecost','HomeController@updatecost');
Route::post('/deletesellerpro/{id}','HomeController@deletesellerpro');

Route::any('/importcityupdate','HomeController@importcityupdate');
Route::post('/daycloseupdate','HomeController@daycloseupdate');

Route::get('/resellerproduct','HomeController@resellerproduct');
Route::post('/resellersellup','HomeController@resellersellup');
Route::post('/bulkremindorderupload','HomeController@bulkremindorderupload');

Route::get('/resellerallorder','HomeController@resellerallorder');
Route::any('/resellerallorderfilter','HomeController@resellerallorderfilter');
Route::post('/ordertypeupdate','HomeController@ordertypeupdate');

Route::get('/resellerpayment','HomeController@resellerpayment');
Route::post('/resellerpaymentfilter','HomeController@resellerpaymentfilter');
Route::post('/resellergenratereport','HomeController@resellergenratereport');
Route::get('/receivedcod','HomeController@receivedcod');
Route::post('/receivedcodfilter','HomeController@receivedcodfilter');
Route::post('/resellerpayupdate','HomeController@resellerpayupdate');
Route::get('/resellerpaymentorders/{id}','HomeController@resellerpaymentorders');

Route::get('/paymentsummery','HomeController@paymentsummery');
Route::get('/receivedcodsummery','HomeController@receivedcodsummery');
Route::get('/receivedcodsummeryorders/{id}','HomeController@receivedcodsummeryorders');

Route::get('/resellerregister','HomeController@resellerregister');
Route::post('/registerreseller','HomeController@registerreseller');
Route::get('/resellerusermange','HomeController@resellerusermange');
Route::post('/resellerusermangeupdate','HomeController@resellerusermangeupdate');

Route::get('/mangereseller','HomeController@mangereseller');
Route::post('/resellerupdateuser','HomeController@resellerupdateuser');
Route::get('/resellerproductgride','HomeController@resellerproductgride');
Route::get('/productdescription/{id}','HomeController@productdescription');


Route::get('/duplicate','HomeController@duplicate');
Route::get('/resellerpending','HomeController@resellerpending');
Route::get('/1stattempt','HomeController@attempt1st');
Route::get('/2ndattempt','HomeController@attempt2nd');
Route::get('/3rdattempt','HomeController@attempt3rd');
Route::get('/hold','HomeController@hold');
Route::get('/cancel','HomeController@cancel');
Route::get('/outofstock','HomeController@outofstock');
Route::post('/resellerbtnstatuschange','HomeController@resellerbtnstatuschange');
Route::post('/outconfirmpending/{id}','HomeController@outconfirmpending');
Route::post('/colomboconfirmpending/{id}','HomeController@colomboconfirmpending');

Route::any('/exchangedatatable','HomeController@exchangedatatable');
Route::any('/refunddatatable','HomeController@refunddatatable');
Route::any('/outofstocktable','HomeController@outofstocktable');
Route::post('/updatecusdetailsreseller','HomeController@updatecusdetailsreseller');

Route::get('/exchangereturn','HomeController@exchangereturn');
Route::post('/postexchangereturn','HomeController@postexchangereturn');
Route::post('/sendemail','HomeController@sendemail');

Route::get('/trancecheck','HomeController@trancecheck');
Route::post('/trancecheckfilter','HomeController@trancecheckfilter');
Route::post('/loginfilter','HomeController@loginfilter');

Route::get('/outcity','HomeController@outcity');
Route::any('/cityupdatedatatable','HomeController@cityupdatedatatable');

Route::post('/cityupfilter','HomeController@cityupfilter');
Route::post('/trancecityupdate','HomeController@trancecityupdate');
Route::post('/sendoutprint','HomeController@sendoutprint');
Route::post('/assignresellerpriceup','HomeController@assignresellerpriceup');
Route::post('/sendtosellercenter','HomeController@sendtosellercenter');

Route::get('/bulkimportorders','HomeController@bulkimportorders');


Route::post('/genrateallreportreseller','HomeController@genrateallreportreseller');
Route::post('/resellerpaymentexcel','HomeController@resellerpaymentexcel');
Route::post('/postbulkimport','HomeController@postbulkimport');

Route::any('/bulkpendingorders','HomeController@bulkpendingorders');
Route::post('/deletebulkcustomer','HomeController@deletebulkcustomer');
Route::post('/tempordersdown','HomeController@tempordersdown');
Route::post('/sentocallcenter2','HomeController@sentocallcenter2');
Route::post('/sendtosellercenter2','HomeController@sendtosellercenter2');
Route::post('/searchdeliverydateout','HomeController@searchdeliverydateout');



Route::get('/notreceivedmoney','HomeController@notreceivedmoney');
Route::post('/notreceivedmoneyfilter','HomeController@notreceivedmoneyfilter');

Route::get('/colombomissing','HomeController@colombomissing');
Route::post('/colombomissingfilter','HomeController@colombomissingfilter');
Route::get('/resellerreport','HomeController@resellerreport');
Route::post('/resellerreportfilter','HomeController@resellerreportfilter');

Route::get('/productwiseorders','HomeController@productwiseorders');
Route::post('/productwiseordersfilter','HomeController@productwiseordersfilter');

Route::get('/resellersellsummary','HomeController@resellersellsummary');
Route::post('/resellersellsummaryfilter','HomeController@resellersellsummaryfilter');
Route::get('/topselling','HomeController@topselling');
Route::post('/topsellingfilter','HomeController@topsellingfilter');


Route::get('/commision/{id}','HomeController@commision');
Route::post('/addcommision','HomeController@addcommision');
Route::post('/commisionupdate','HomeController@commisionupdate');
Route::post('/commisiondelete/{id}','HomeController@commisiondelete');

Route::get('/advance/{id}','HomeController@advance');
Route::post('/addadvance','HomeController@addadvance');
Route::post('/advancedelete/{id}','HomeController@advancedelete');




// Route::get('/', function () {
//     return view('frontview/home');
// });

Route::get('/contact', function () {
    return view('frontview/contact');
});

Route::get('/about', function () {
    return view('frontview/about');
});

Route::get('/test2', function () {
    return view('dashboard/test');
});

// Route::get('/addproduct', function () {
//     return view('dashboard/addproduct');
// });




Route::post('/addItem','HomeController@addProduct');

// Route::get('/updateproduct', 'HomeController@UpdateProductTemplate');
 

Route::get('/about2','frontendcontroller@home');
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Auth::routes();

// Route::get('/home', 'HomeController@index')->name('home');

//ajex
Route::get('ajaxRequest', 'HomeController@ajaxRequest');
Route::post('ajaxRequest', 'HomeController@ajaxRequestPost');








//update
Route::post('/updateitem','HomeController@updateitem');
Route::post('/deleteitem/{id}','HomeController@deleteitem');

Route::get('/todeliver','HomeController@viewtodeliver');
Route::get('/selfdeliver','HomeController@selfdeliver');


Route::post('/updatetracking','HomeController@updatetracking');
Route::post('/updatenote','HomeController@updatenote');
Route::post('/updateprintstatus/{id}','HomeController@updateprintstatus');
Route::post('/deletecusorder/{id}','HomeController@deletecusorder');
Route::get('/Editaddorder/{id}','HomeController@Editaddorder');
Route::post('/editupdateitem','HomeController@editupdateitem');


Route::get('/getBasicObjectData','HomeController@getBasicObjectData');
Route::get('/getBasicObjectDataself','HomeController@getBasicObjectDataself');
Route::post('/todaycode','HomeController@todaycode');
Route::post('/completedUpdate','HomeController@completedUpdate');
Route::post('/printUpdate','HomeController@printUpdate');
Route::post('/completedUpdateself','HomeController@completedUpdateself');
Route::get('/statuschange/{id}','HomeController@statuschange');
Route::get('/exportcsvgrass','HomeController@exportcsvgrass');
Route::get('/exportselfdelivery','HomeController@exportselfdelivery');




Route::get('/viewafter','HomeController@viewafter');
Route::get('/viewnotanswer','HomeController@viewnotanswer');
Route::get('/viewreturn','HomeController@viewreturn');
Route::get('/viewcomplete','HomeController@viewcomplete');
Route::post('/deleteproduct/{id}','HomeController@deleteproduct');


Route::get('importExport', 'HomeController@importExport');
Route::post('importExcel', 'HomeController@importExcel');



Route::group(['middleware' => ['auth', 'admin']], function() {



    Route::get('/companybank','HomeController@companybank');
    Route::post('/addcompanybank','HomeController@addcompanybank');
    Route::get('/supplierpayment','HomeController@supplierpayment');
    Route::post('/purchasingupdate2','HomeController@purchasingupdate2');
    Route::get('/transaction','HomeController@transaction');
    Route::any('/getbanktransaction','HomeController@getbanktransaction');
    Route::get('/tansactionentery','HomeController@tansactionentery');
    Route::post('/addtransaction','HomeController@addtransaction');
    Route::post('/ownbanktranfer','HomeController@ownbanktranfer');
    Route::get('/salary','HomeController@salary');
    Route::post('/addsalarypayment','HomeController@addsalarypayment');
    Route::post('/deleteemployeesal/{id}','HomeController@deleteemployeesal');
    Route::post('/employeepaymentupdate','HomeController@employeepaymentupdate');
    Route::post('/salarypdf','HomeController@salarypdf');
    Route::post('/riderpaymentsendtobank','HomeController@riderpaymentsendtobank');
    Route::get('/accountswholesale','HomeController@accountswholesale');

    Route::post('/addaccountoptions','HomeController@addaccountoptions');
    Route::post('/purchesingfilter','HomeController@purchesingfilter');
    Route::post('/wholesalemakepayment','HomeController@wholesalemakepayment');
    Route::post('/wholepaymentrecive','HomeController@wholepaymentrecive');
    Route::get('/supplierproductdetails/{id}','HomeController@supplierproductdetails');
    Route::post('/supplierpaymentadd','HomeController@supplierpaymentadd');
    Route::post('/supplierpaymentrecive','HomeController@supplierpaymentrecive');
    Route::post('/supplierreciptprint','HomeController@supplierreciptprint');
    Route::get('/chequemanage','HomeController@chequemanage');
    Route::post('/chequemangefilter','HomeController@chequemangefilter');
    Route::post('/gotoeditpage','HomeController@gotoeditpage');
    Route::get('/storepickupmoneyreceived','HomeController@storepickupmoneyreceived');
    Route::post('/storepickupfilter','HomeController@storepickupfilter');
    Route::post('/storepaymentrecive','HomeController@storepaymentrecive');
    
    
    



    Route::get('/addproduct', 'HomeController@addProductTemplate');
    Route::get('/updateproduct', 'HomeController@updateProductTemplate')->name('ajaxdata');
    Route::get('ajaxdata/getdata', 'HomeController@getdata')->name('ajaxdata.getdata');
    Route::post('ajaxdata/postdata', 'HomeController@postdata')->name('ajaxdata.postdata');
    Route::get('ajaxdata/fetchdata', 'HomeController@fetchdata')->name('ajaxdata.fetchdata');

    Route::get('/pageregister','HomeController@pageregister');
    Route::post('/registerpagepost','HomeController@registerpagepost');
    Route::post('/updateregisterpagepost','HomeController@updateregisterpagepost');
    Route::post('/deletepage/{id}','HomeController@deletepage');

    Route::get('/usermange','HomeController@usermange');
    Route::post('/usermangeupdate','HomeController@usermangeupdate');
    Route::post('/deleteuser/{id}','HomeController@deleteuser');

    Route::get('/remainingstock', 'HomeController@remainingstock');

    Route::get('myform/ajax/{id}',('HomeController@myformAjax'));

    // Route::get('/test', 'HomeController@test');
    Route::get('dropdownlist/getstates/{id}','HomeController@getStates');
    Route::get('dropdownlist/getstates2/{id}','HomeController@getStates2');


    // Route::get('/productdetails','HomeController@productdetails');
    Route::get('/getdetails/{id}','HomeController@getdetails');
    Route::post('/postdescription','HomeController@postdescription');

    Route::get('/invoice_print','HomeController@export_pdf')->name('invoice_print');
    Route::get('/koobiyo_print','HomeController@export_pdf_koobiyo')->name('koobiyo_print');
    Route::get('/test2','HomeController@test2');
    Route::get('/exportcsvkoobiyo','HomeController@exportcsvkoobiyo');




});


